Board 34 endpoints

PUT /boards/{idBoard}/members
operationId: Board_updateMembersByIdBoard

Parameters

Name In Required Type Description
idBoard path required string

board_id

Request Body

Attributes of “Boards Members” to be updated.

application/json
schema boards_members
Property Type Required
type string optional
email string optional
fullName string optional

Responses

200

Success

400

Server rejection

PUT /boards/{idBoard}/members
GET /boards/{idBoard}/members/{filter}
operationId: Board_getMembersByFilter

Parameters

Name In Required Type Description
idBoard path required string

board_id

filter path required string

filter

Responses

200

Success

400

Server rejection

GET /boards/{idBoard}/members/{filter}
DELETE /boards/{idBoard}/members/{idMember}
operationId: Board_removeMember

Parameters

Name In Required Type Description
idBoard path required string

board_id

idMember path required string

idMember

Responses

200

Success

400

Server rejection

DELETE /boards/{idBoard}/members/{idMember}
PUT /boards/{idBoard}/members/{idMember}
operationId: Board_updateMembersByIdBoardByIdMember

Parameters

Name In Required Type Description
idBoard path required string

board_id

idMember path required string

idMember

Request Body

Attributes of “Boards Members” to be updated.

application/json
schema boards_members
Property Type Required
type string optional
email string optional
fullName string optional

Responses

200

Success

400

Server rejection

PUT /boards/{idBoard}/members/{idMember}
GET /boards/{idBoard}/members/{idMember}/cards
operationId: Board_getMembersCardsByIdBoardByIdMember

Parameters

Name In Required Type Description
idBoard path required string

board_id

idMember path required string

idMember

actions query optional string

all or a comma-separated list of: addAttachmentToCard, addChecklistToCard, addMemberToBoard, addMemberToCard, addMemberToOrganization, addToOrganizationBoard, commentCard, convertToCardFromCheckItem, copyBoard, copyCard, copyCommentCard, createBoard, createCard, createList, createOrganization, deleteAttachmentFromCard, deleteBoardInvitation, deleteCard, deleteOrganizationInvitation, disablePowerUp, emailCard, enablePowerUp, makeAdminOfBoard, makeNormalMemberOfBoard, makeNormalMemberOfOrganization, makeObserverOfBoard, memberJoinedTrello, moveCardFromBoard, moveCardToBoard, moveListFromBoard, moveListToBoard, removeChecklistFromCard, removeFromOrganizationBoard, removeMemberFromCard, unconfirmedBoardInvitation, unconfirmedOrganizationInvitation, updateBoard, updateCard, updateCard:closed, updateCard:desc, updateCard:idList, updateCard:name, updateCheckItemStateOnCard, updateChecklist, updateList, updateList:closed, updateList:name, updateMember or updateOrganization

attachments query optional string

A boolean value or "cover" for only card cover attachments

attachment_fields query optional string

all or a comma-separated list of: bytes, date, edgeColor, idMember, isUpload, mimeType, name, previews or url

members query optional string

true or false

member_fields query optional string

all or a comma-separated list of: avatarHash, bio, bioData, confirmed, fullName, idPremOrgsAdmin, initials, memberType, products, status, url or username

checkItemStates query optional string

true or false

checklists query optional string

One of: all or none

board query optional string

true or false

board_fields query optional string

all or a comma-separated list of: closed, dateLastActivity, dateLastView, desc, descData, idOrganization, invitations, invited, labelNames, memberships, name, pinned, powerUps, prefs, shortLink, shortUrl, starred, subscribed or url

list query optional string

true or false

list_fields query optional string

all or a comma-separated list of: closed, idBoard, name, pos or subscribed

filter query optional string

One of: all, closed, none, open or visible

fields query optional string

all or a comma-separated list of: badges, checkItemStates, closed, dateLastActivity, desc, descData, due, email, idAttachmentCover, idBoard, idChecklists, idLabels, idList, idMembers, idMembersVoted, idShort, labels, manualCoverAttachment, name, pos, shortLink, shortUrl, subscribed or url

Responses

200

Success

400

Server rejection

GET /boards/{idBoard}/members/{idMember}/cards
GET /boards/{idBoard}/membersInvited
operationId: Board_getMembersInvitedByIdBoard

Parameters

Name In Required Type Description
idBoard path required string

board_id

fields query optional string

all or a comma-separated list of: avatarHash, avatarSource, bio, bioData, confirmed, email, fullName, gravatarHash, idBoards, idBoardsPinned, idOrganizations, idPremOrgsAdmin, initials, loginTypes, memberType, oneTimeMessagesDismissed, prefs, premiumFeatures, products, status, status, trophies, uploadedAvatarHash, url or username

Responses

200

Success

400

Server rejection

GET /boards/{idBoard}/membersInvited
GET /boards/{idBoard}/membersInvited/{field}
operationId: Board_getMembersInvitedByField

Parameters

Name In Required Type Description
idBoard path required string

board_id

field path required string

field

Responses

200

Success

400

Server rejection

GET /boards/{idBoard}/membersInvited/{field}
GET /boards/{idBoard}/memberships
operationId: Board_getMembershipsByIdBoard

Parameters

Name In Required Type Description
idBoard path required string

board_id

filter query optional string

all or a comma-separated list of: active, admin, deactivated, me or normal

member query optional string

true or false

member_fields query optional string

all or a comma-separated list of: avatarHash, bio, bioData, confirmed, fullName, idPremOrgsAdmin, initials, memberType, products, status, url or username

Responses

200

Success

400

Server rejection

GET /boards/{idBoard}/memberships
GET /boards/{idBoard}/memberships/{idMembership}
operationId: Board_getMembershipsByIdBoardByIdMembership

Parameters

Name In Required Type Description
idBoard path required string

board_id

idMembership path required string

idMembership

member query optional string

true or false

member_fields query optional string

all or a comma-separated list of: avatarHash, bio, bioData, confirmed, fullName, idPremOrgsAdmin, initials, memberType, products, status, url or username

Responses

200

Success

400

Server rejection

GET /boards/{idBoard}/memberships/{idMembership}
PUT /boards/{idBoard}/memberships/{idMembership}
operationId: Board_updateMembershipsByIdBoardByIdMembership

Parameters

Name In Required Type Description
idBoard path required string

board_id

idMembership path required string

idMembership

Request Body

required

Attributes of “Boards Memberships” to be updated.

application/json
schema boards_memberships
Property Type Required
type string optional
member_fields string optional

Responses

200

Success

400

Server rejection

PUT /boards/{idBoard}/memberships/{idMembership}
GET /boards/{idBoard}/myPrefs
operationId: Board_getMyPrefsById

Parameters

Name In Required Type Description
idBoard path required string

board_id

Responses

200

Success

400

Server rejection

GET /boards/{idBoard}/myPrefs
PUT /boards/{idBoard}/myPrefs/emailPosition
operationId: Board_updateMyPrefsEmailPositionByIdBoard

Parameters

Name In Required Type Description
idBoard path required string

board_id

Request Body

required

Attributes of “My Prefs Email Position” to be updated.

application/json
schema myPrefs_emailPosition
Property Type Required
value string optional

Responses

200

Success

400

Server rejection

PUT /boards/{idBoard}/myPrefs/emailPosition
PUT /boards/{idBoard}/myPrefs/idEmailList
operationId: Board_updateMyPrefsEmailListByIdBoard

Parameters

Name In Required Type Description
idBoard path required string

board_id

Request Body

required

Attributes of “My Prefs Id Email List” to be updated.

application/json
schema myPrefs_idEmailList
Property Type Required
value string optional

Responses

200

Success

400

Server rejection

PUT /boards/{idBoard}/myPrefs/idEmailList
PUT /boards/{idBoard}/myPrefs/showListGuide
operationId: Board_updateMyPrefsShowListGuideByIdBoard

Parameters

Name In Required Type Description
idBoard path required string

board_id

Request Body

required

Attributes of “My Prefs Show List Guide” to be updated.

application/json
schema myPrefs_showListGuide
Property Type Required
value string optional

Responses

200

Success

400

Server rejection

PUT /boards/{idBoard}/myPrefs/showListGuide
PUT /boards/{idBoard}/myPrefs/showSidebar
operationId: Board_updateMyPrefsShowSidebar

Parameters

Name In Required Type Description
idBoard path required string

board_id

Request Body

required

Attributes of “My Prefs Show Sidebar” to be updated.

application/json
schema myPrefs_showSidebar
Property Type Required
value string optional

Responses

200

Success

400

Server rejection

PUT /boards/{idBoard}/myPrefs/showSidebar
PUT /boards/{idBoard}/myPrefs/showSidebarActivity
operationId: Board_updateMyPrefsShowSidebarActivityByIdBoard

Parameters

Name In Required Type Description
idBoard path required string

board_id

Request Body

required

Attributes of “My Prefs Show Sidebar Activity” to be updated.

application/json
schema myPrefs_showSidebarActivity
Property Type Required
value string optional

Responses

200

Success

400

Server rejection

PUT /boards/{idBoard}/myPrefs/showSidebarActivity
PUT /boards/{idBoard}/myPrefs/showSidebarBoardActions
operationId: Board_updateMyPrefsShowSidebarActionsByIdBoard

Parameters

Name In Required Type Description
idBoard path required string

board_id

Request Body

required

Attributes of “My Prefs Show Sidebar Board Actions” to be updated.

application/json
schema myPrefs_showSidebarBoardActions
Property Type Required
value string optional

Responses

200

Success

400

Server rejection

PUT /boards/{idBoard}/myPrefs/showSidebarBoardActions
PUT /boards/{idBoard}/myPrefs/showSidebarMembers
operationId: Board_updatePrefsShowSidebarMembersById

Parameters

Name In Required Type Description
idBoard path required string

board_id

Request Body

required

Attributes of “My Prefs Show Sidebar Members” to be updated.

application/json
schema myPrefs_showSidebarMembers
Property Type Required
value string optional

Responses

200

Success

400

Server rejection

PUT /boards/{idBoard}/myPrefs/showSidebarMembers
PUT /boards/{idBoard}/name
operationId: Board_updateNameById

Parameters

Name In Required Type Description
idBoard path required string

board_id

Request Body

required

Attributes of “Boards Name” to be updated.

application/json
schema boards_name
Property Type Required
value string optional

Responses

200

Success

400

Server rejection

PUT /boards/{idBoard}/name
GET /boards/{idBoard}/organization
operationId: Board_getOrganizationById

Parameters

Name In Required Type Description
idBoard path required string

board_id

fields query optional string

all or a comma-separated list of: billableMemberCount, desc, descData, displayName, idBoards, invitations, invited, logoHash, memberships, name, powerUps, prefs, premiumFeatures, products, url or website

Responses

200

Success

400

Server rejection

GET /boards/{idBoard}/organization
GET /boards/{idBoard}/organization/{field}
operationId: Board_getOrganizationByIdBoardByField

Parameters

Name In Required Type Description
idBoard path required string

board_id

field path required string

field

Responses

200

Success

400

Server rejection

GET /boards/{idBoard}/organization/{field}
POST /boards/{idBoard}/powerUps
operationId: Board_addPowerUpsByIdBoard

Parameters

Name In Required Type Description
idBoard path required string

board_id

Request Body

required

Attributes of “Boards Power Ups” to be added.

application/json
schema boards_powerUps
Property Type Required
value string optional

Responses

200

Success

400

Server rejection

POST /boards/{idBoard}/powerUps
DELETE /boards/{idBoard}/powerUps/{powerUp}
operationId: Board_removePowerUp

Parameters

Name In Required Type Description
idBoard path required string

board_id

powerUp path required string

powerUp

Responses

200

Success

400

Server rejection

DELETE /boards/{idBoard}/powerUps/{powerUp}
PUT /boards/{idBoard}/prefs/background
operationId: Board_updatePrefsBackgroundByIdBoard

Parameters

Name In Required Type Description
idBoard path required string

board_id

Request Body

required

Attributes of “Prefs Background” to be updated.

application/json
schema prefs_background
Property Type Required
value string optional

Responses

200

Success

400

Server rejection

PUT /boards/{idBoard}/prefs/background
PUT /boards/{idBoard}/prefs/calendarFeedEnabled
operationId: Board_updatePrefsCalendarFeedEnabledById

Parameters

Name In Required Type Description
idBoard path required string

board_id

Request Body

required

Attributes of “Prefs Calendar Feed Enabled” to be updated.

application/json
schema prefs_calendarFeedEnabled
Property Type Required
value string optional

Responses

200

Success

400

Server rejection

PUT /boards/{idBoard}/prefs/calendarFeedEnabled
PUT /boards/{idBoard}/prefs/cardAging
operationId: Board_updatePrefsCardAgingByIdBoard

Parameters

Name In Required Type Description
idBoard path required string

board_id

Request Body

required

Attributes of “Prefs Card Aging” to be updated.

application/json
schema prefs_cardAging
Property Type Required
value string optional

Responses

200

Success

400

Server rejection

PUT /boards/{idBoard}/prefs/cardAging
PUT /boards/{idBoard}/prefs/cardCovers
operationId: Board_updatePrefsCardCoversByIdBoard

Parameters

Name In Required Type Description
idBoard path required string

board_id

Request Body

required

Attributes of “Prefs Card Covers” to be updated.

application/json
schema prefs_cardCovers
Property Type Required
value string optional

Responses

200

Success

400

Server rejection

PUT /boards/{idBoard}/prefs/cardCovers
PUT /boards/{idBoard}/prefs/comments
operationId: Board_updatePrefsCommentsByIdBoard

Parameters

Name In Required Type Description
idBoard path required string

board_id

Request Body

required

Attributes of “Prefs Comments” to be updated.

application/json
schema prefs_comments
Property Type Required
value string optional

Responses

200

Success

400

Server rejection

PUT /boards/{idBoard}/prefs/comments
PUT /boards/{idBoard}/prefs/invitations
operationId: Board_updatePrefsInvitationsByIdBoard

Parameters

Name In Required Type Description
idBoard path required string

board_id

Request Body

required

Attributes of “Prefs Invitations” to be updated.

application/json
schema prefs_invitations
Property Type Required
value string optional

Responses

200

Success

400

Server rejection

PUT /boards/{idBoard}/prefs/invitations
PUT /boards/{idBoard}/prefs/permissionLevel
operationId: Board_updatePrefsPermissionLevelById

Parameters

Name In Required Type Description
idBoard path required string

board_id

Request Body

Attributes of “Prefs Permission Level” to be updated.

application/json
schema prefs_permissionLevel
Property Type Required
value string optional

Responses

200

Success

400

Server rejection

PUT /boards/{idBoard}/prefs/permissionLevel
PUT /boards/{idBoard}/prefs/selfJoin
operationId: Board_updatePrefsSelfJoinByIdBoard

Parameters

Name In Required Type Description
idBoard path required string

board_id

Request Body

required

Attributes of “Prefs Self Join” to be updated.

application/json
schema prefs_selfJoin
Property Type Required
value string optional

Responses

200

Success

400

Server rejection

PUT /boards/{idBoard}/prefs/selfJoin
PUT /boards/{idBoard}/prefs/voting
operationId: Board_updateVotingPrefsById

Parameters

Name In Required Type Description
idBoard path required string

board_id

Request Body

required

Attributes of “Prefs Voting” to be updated.

application/json
schema prefs_voting
Property Type Required
value string optional

Responses

200

Success

400

Server rejection

PUT /boards/{idBoard}/prefs/voting
PUT /boards/{idBoard}/subscribed
operationId: Board_updateSubscribedById

Parameters

Name In Required Type Description
idBoard path required string

board_id

Request Body

required

Attributes of “Boards Subscribed” to be updated.

application/json
schema boards_subscribed
Property Type Required
value string optional

Responses

200

Success

400

Server rejection

PUT /boards/{idBoard}/subscribed
GET /boards/{idBoard}/{field}
operationId: Board_getByIdField

Parameters

Name In Required Type Description
idBoard path required string

board_id

field path required string

field

Responses

200

Success

400

Server rejection

GET /boards/{idBoard}/{field}

Card 16 endpoints

POST /cards
operationId: Card_createAndUpdate

Request Body

required

Attributes of “Cards” to be added.

application/json
schema cards
Property Type Required
due string optional
pos string optional
desc string optional
name string optional
closed string optional
idList string optional
labels string optional
idBoard string optional
idLabels string optional
idMembers string optional
urlSource string optional
fileSource string optional
subscribed string optional
idCardSource string optional
keepFromSource string optional
idAttachmentCover string optional

Responses

200

Success

400

Server rejection

POST /cards
DELETE /cards/{idCard}
operationId: Card_removeByIdCard

Parameters

Name In Required Type Description
idCard path required string

card id or shortlink

Responses

200

Success

400

Server rejection

DELETE /cards/{idCard}
GET /cards/{idCard}
operationId: Card_getById

Parameters

Name In Required Type Description
idCard path required string

card id or shortlink

actions query optional string

all or a comma-separated list of: addAttachmentToCard, addChecklistToCard, addMemberToBoard, addMemberToCard, addMemberToOrganization, addToOrganizationBoard, commentCard, convertToCardFromCheckItem, copyBoard, copyCard, copyCommentCard, createBoard, createCard, createList, createOrganization, deleteAttachmentFromCard, deleteBoardInvitation, deleteCard, deleteOrganizationInvitation, disablePowerUp, emailCard, enablePowerUp, makeAdminOfBoard, makeNormalMemberOfBoard, makeNormalMemberOfOrganization, makeObserverOfBoard, memberJoinedTrello, moveCardFromBoard, moveCardToBoard, moveListFromBoard, moveListToBoard, removeChecklistFromCard, removeFromOrganizationBoard, removeMemberFromCard, unconfirmedBoardInvitation, unconfirmedOrganizationInvitation, updateBoard, updateCard, updateCard:closed, updateCard:desc, updateCard:idList, updateCard:name, updateCheckItemStateOnCard, updateChecklist, updateList, updateList:closed, updateList:name, updateMember or updateOrganization

actions_entities query optional string

true or false

actions_display query optional string

true or false

actions_limit query optional string

a number from 0 to 1000

action_fields query optional string

all or a comma-separated list of: data, date, idMemberCreator or type

action_memberCreator_fields query optional string

all or a comma-separated list of: avatarHash, bio, bioData, confirmed, fullName, idPremOrgsAdmin, initials, memberType, products, status, url or username

attachments query optional string

A boolean value or "cover" for only card cover attachments

attachment_fields query optional string

all or a comma-separated list of: bytes, date, edgeColor, idMember, isUpload, mimeType, name, previews or url

members query optional string

true or false

member_fields query optional string

all or a comma-separated list of: avatarHash, bio, bioData, confirmed, fullName, idPremOrgsAdmin, initials, memberType, products, status, url or username

membersVoted query optional string

true or false

memberVoted_fields query optional string

all or a comma-separated list of: avatarHash, bio, bioData, confirmed, fullName, idPremOrgsAdmin, initials, memberType, products, status, url or username

checkItemStates query optional string

true or false

checkItemState_fields query optional string

all or a comma-separated list of: idCheckItem or state

checklists query optional string

One of: all or none

checklist_fields query optional string

all or a comma-separated list of: idBoard, idCard, name or pos

board query optional string

true or false

board_fields query optional string

all or a comma-separated list of: closed, dateLastActivity, dateLastView, desc, descData, idOrganization, invitations, invited, labelNames, memberships, name, pinned, powerUps, prefs, shortLink, shortUrl, starred, subscribed or url

list query optional string

true or false

list_fields query optional string

all or a comma-separated list of: closed, idBoard, name, pos or subscribed

stickers query optional string

true or false

sticker_fields query optional string

all or a comma-separated list of: image, imageScaled, imageUrl, left, rotate, top or zIndex

fields query optional string

all or a comma-separated list of: badges, checkItemStates, closed, dateLastActivity, desc, descData, due, email, idAttachmentCover, idBoard, idChecklists, idLabels, idList, idMembers, idMembersVoted, idShort, labels, manualCoverAttachment, name, pos, shortLink, shortUrl, subscribed or url

Responses

200

Success

400

Server rejection

GET /cards/{idCard}
PUT /cards/{idCard}
operationId: Card_updateByIdCard

Parameters

Name In Required Type Description
idCard path required string

card id or shortlink

Request Body

required

Attributes of “Cards” to be updated.

application/json
schema cards
Property Type Required
due string optional
pos string optional
desc string optional
name string optional
closed string optional
idList string optional
labels string optional
idBoard string optional
idLabels string optional
idMembers string optional
urlSource string optional
fileSource string optional
subscribed string optional
idCardSource string optional
keepFromSource string optional
idAttachmentCover string optional

Responses

200

Success

400

Server rejection

PUT /cards/{idCard}
GET /cards/{idCard}/actions
operationId: Card_listCardActionsById

Parameters

Name In Required Type Description
idCard path required string

card id or shortlink

entities query optional string

true or false

display query optional string

true or false

filter query optional string

all or a comma-separated list of: addAttachmentToCard, addChecklistToCard, addMemberToBoard, addMemberToCard, addMemberToOrganization, addToOrganizationBoard, commentCard, convertToCardFromCheckItem, copyBoard, copyCard, copyCommentCard, createBoard, createCard, createList, createOrganization, deleteAttachmentFromCard, deleteBoardInvitation, deleteCard, deleteOrganizationInvitation, disablePowerUp, emailCard, enablePowerUp, makeAdminOfBoard, makeNormalMemberOfBoard, makeNormalMemberOfOrganization, makeObserverOfBoard, memberJoinedTrello, moveCardFromBoard, moveCardToBoard, moveListFromBoard, moveListToBoard, removeChecklistFromCard, removeFromOrganizationBoard, removeMemberFromCard, unconfirmedBoardInvitation, unconfirmedOrganizationInvitation, updateBoard, updateCard, updateCard:closed, updateCard:desc, updateCard:idList, updateCard:name, updateCheckItemStateOnCard, updateChecklist, updateList, updateList:closed, updateList:name, updateMember or updateOrganization

fields query optional string

all or a comma-separated list of: data, date, idMemberCreator or type

limit query optional string

a number from 0 to 1000

format query optional string

One of: count, list or minimal

since query optional string

A date, null or lastView

before query optional string

A date, or null

page query optional string

Page * limit must be less than 1000

idModels query optional string

Only return actions related to these model ids

member query optional string

true or false

member_fields query optional string

all or a comma-separated list of: avatarHash, bio, bioData, confirmed, fullName, idPremOrgsAdmin, initials, memberType, products, status, url or username

memberCreator query optional string

true or false

memberCreator_fields query optional string

all or a comma-separated list of: avatarHash, bio, bioData, confirmed, fullName, idPremOrgsAdmin, initials, memberType, products, status, url or username

Responses

200

Success

400

Server rejection

GET /cards/{idCard}/actions
POST /cards/{idCard}/actions/comments
operationId: Card_addActionsCommentsByIdCard

Parameters

Name In Required Type Description
idCard path required string

card id or shortlink

Request Body

required

Attributes of “Actions Comments” to be added.

application/json
schema actions_comments
Property Type Required
text string optional

Responses

200

Success

400

Server rejection

POST /cards/{idCard}/actions/comments
DELETE /cards/{idCard}/actions/{idAction}/comments

This can only be done by the original author of the comment, or someone with higher permissions than the original author.

operationId: Card_removeActionCommentByIdCardByIdAction

Parameters

Name In Required Type Description
idCard path required string

card id or shortlink

idAction path required string

idAction

Responses

200

Success

400

Server rejection

DELETE /cards/{idCard}/actions/{idAction}/comments
PUT /cards/{idCard}/actions/{idAction}/comments

This can only be done by the original author of the comment.

operationId: Card_updateActionCommentByIdCardByIdAction

Parameters

Name In Required Type Description
idCard path required string

card id or shortlink

idAction path required string

idAction

Request Body

required

Attributes of “Cards Actions Comments” to be updated.

application/json
schema cards_actions_comments
Property Type Required
text string optional

Responses

200

Success

400

Server rejection

PUT /cards/{idCard}/actions/{idAction}/comments
GET /cards/{idCard}/attachments
operationId: Card_getAttachmentsByIdCard

Parameters

Name In Required Type Description
idCard path required string

card id or shortlink

fields query optional string

all or a comma-separated list of: bytes, date, edgeColor, idMember, isUpload, mimeType, name, previews or url

filter query optional string

A boolean value or "cover" for only card cover attachments

Responses

200

Success

400

Server rejection

GET /cards/{idCard}/attachments
POST /cards/{idCard}/attachments
operationId: Card_addAttachmentsByIdCard

Parameters

Name In Required Type Description
idCard path required string

card id or shortlink

Request Body

required

Attributes of “Cards Attachments” to be added.

application/json
schema cards_attachments
Property Type Required
url string optional
file string optional
name string optional
mimeType string optional

Responses

200

Success

400

Server rejection

POST /cards/{idCard}/attachments
DELETE /cards/{idCard}/attachments/{idAttachment}
operationId: Card_deleteAttachmentsByIdCardByIdAttachment

Parameters

Name In Required Type Description
idCard path required string

card id or shortlink

idAttachment path required string

idAttachment

Responses

200

Success

400

Server rejection

DELETE /cards/{idCard}/attachments/{idAttachment}
GET /cards/{idCard}/attachments/{idAttachment}
operationId: Card_getAttachmentsByIds

Parameters

Name In Required Type Description
idCard path required string

card id or shortlink

idAttachment path required string

idAttachment

fields query optional string

all or a comma-separated list of: bytes, date, edgeColor, idMember, isUpload, mimeType, name, previews or url

Responses

200

Success

400

Server rejection

GET /cards/{idCard}/attachments/{idAttachment}
GET /cards/{idCard}/board
operationId: Card_getBoardById

Parameters

Name In Required Type Description
idCard path required string

card id or shortlink

fields query optional string

all or a comma-separated list of: closed, dateLastActivity, dateLastView, desc, descData, idOrganization, invitations, invited, labelNames, memberships, name, pinned, powerUps, prefs, shortLink, shortUrl, starred, subscribed or url

Responses

200

Success

400

Server rejection

GET /cards/{idCard}/board
GET /cards/{idCard}/board/{field}
operationId: Card_getBoardByIdCardByField

Parameters

Name In Required Type Description
idCard path required string

card id or shortlink

field path required string

field

Responses

200

Success

400

Server rejection

GET /cards/{idCard}/board/{field}
GET /cards/{idCard}/checkItemStates
operationId: Card_getCheckItemStatesById

Parameters

Name In Required Type Description
idCard path required string

card id or shortlink

fields query optional string

all or a comma-separated list of: idCheckItem or state

Responses

200

Success

400

Server rejection

GET /cards/{idCard}/checkItemStates
PUT /cards/{idCard}/checklist/{idChecklistCurrent}/checkItem/{idCheckItem}
operationId: Card_updateChecklistCheckItem

Parameters

Name In Required Type Description
idCard path required string

card id or shortlink

idChecklistCurrent path required string

idChecklistCurrent

idCheckItem path required string

idCheckItem

Request Body

required

Attributes of “Cards Checklist Id Checklist Current Check Item” to be updated.

application/json
schema cards_checklist_idChecklistCurrent_checkItem
Property Type Required
pos string optional
name string optional
state string optional
idChecklist string optional

Responses

200

Success

400

Server rejection

PUT /cards/{idCard}/checklist/{idChecklistCurrent}/checkItem/{idCheckItem}
Load more endpoints